/*
 * OtroCampoLlenoParaValordelCampo.java
 *
 * Created on 22 de marzo de 2007, 11:07 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class OtroCampoLlenoParaValordelCampo extends AbstractRule {

	/** Creates a new instance of CampoLlenoParaUnValorDiferenteDeOtroCampo */

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		String otroCampo = registro[new Integer((String) getParams()[1])
				.intValue()];

		//System.out.println("Campo: " + field);
		//System.out.println("Otro Campo: " + otroCampo);
		
		if (getParams()[0].equals(field) && (otroCampo.length() > 0)) {
			return true;
		}
		return false;
	}

}
